## GWeatherTimezoneMenu

GWeatherTimezoneMenu

## Functions

GtkWidget * | gweather_timezone_menu_new ()
void | gweather_timezone_menu_set_tzid ()
const char * | gweather_timezone_menu_get_tzid ()

## Properties

GWeatherLocation * | top | Write / Construct Only
gchar * | tzid | Read / Write

## Types and Values

struct | GWeatherTimezoneMenu

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkComboBox
                            ╰── GWeatherTimezoneMenu

## Implemented Interfaces

GWeatherTimezoneMenu implements AtkImplementorIface, GtkBuildable, GtkCellLayout and GtkCellEditable.

## Includes

    #include <libgweather/gweather.h>

## Description

A GtkComboBox subclass for choosing a GWeatherTimezone

## Functions

### gweather_timezone_menu_new ()

    GtkWidget *
    gweather_timezone_menu_new (GWeatherLocation *top);

Creates a new GWeatherTimezoneMenu.

`top` will normally be the location returned from `gweather_location_get_world()`, but you can create a menu that contains the timezones from a smaller set of locations if you want.

#### Parameters

top | the top-level location for the menu. |

#### Returns

the new GWeatherTimezoneMenu

### gweather_timezone_menu_set_tzid ()

    void
    gweather_timezone_menu_set_tzid (GWeatherTimezoneMenu *menu,
                                     const char *tzid);

Sets `menu` to the given `tzid` . If `tzid` is `NULL`, sets `menu` to "Unknown".

#### Parameters

menu | a GWeatherTimezoneMenu |
tzid | a tzdata id (eg, "America/New_York"). | [allow-none]

### gweather_timezone_menu_get_tzid ()

    const char *
    gweather_timezone_menu_get_tzid (GWeatherTimezoneMenu *menu);

Gets `menu` 's timezone id.

#### Parameters

menu | a GWeatherTimezoneMenu |

#### Returns

`menu` 's tzid, or `NULL` if no timezone is selected.

[allow-none]

## Types and Values

### struct GWeatherTimezoneMenu

    struct GWeatherTimezoneMenu;

## Property Details

### The `“top”` property

      “top”                      GWeatherLocation *

The GWeatherLocation whose children will be used to fill in the menu.

Owner: GWeatherTimezoneMenu

Flags: Write / Construct Only

### The `“tzid”` property

      “tzid”                     gchar *

The selected TZID.

Owner: GWeatherTimezoneMenu

Flags: Read / Write

Default value: NULL